%define use_fhs			1

%define name        	tomcat4
%define tversion    	4.1.40
%define cversion    	4.1.40
%define release     	1ml

%define javadir     	%{_datadir}/java
%define javadocdir  	%{_datadir}/javadoc
%define summary     	Apache Servlet/JSP Engine, RI for Servlet 2.3/JSP 1.2 API
%define license     	Apache Software License
%define homedir 	%{_var}/tomcat4
%define jname       	jasper4
%define tcuid       	91
%define version     	%{tversion}

%define packname 	apache-tomcat-%{tversion}
%define packdname 	apache-tomcat-%{tversion}-src

%define sconfdir        %{_sysconfdir}/%{name}
%define bindir          %{homedir}/bin
%define commondir       %{homedir}/common
%define confdir         %{sconfdir}
%define logdir          %{_var}/log/%{name}
%define servdir         %{homedir}/server
%define sharedir        %{homedir}/shared
%define libdir          %{servdir}/lib
%define tempdir         %{_var}/cache/%{name}/temp
%define workdir         %{_var}/cache/%{name}/work
%define appdir          %{homedir}/webapps
%define sappdir         %{servdir}/webapps

Summary: 		%{summary}
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
License:        	%{license}
Group: 			Networking/Daemons
Url: 			http://tomcat.apache.org/
##BuildArch: 		noarch
Source: 		http://archive.apache.org/dist/tomcat/tomcat-4/v%{version}/src/%{packdname}.tar.gz
Source3:            	TOMCAT4.README.RPM
Source4: 		tomcat4-4.0.6.init
Source5:            	tomcat4-4.1.36.conf
Source6:            	tomcat4-4.0.6.wrapper
Source7:            	jasper4-4.0.6.wrapper
Source8:            	%{name}-4.0.6.logrotate
Source10:		tomcat4-build.properties.in
Source11:		html-manager-howto.html
Source12:		manager-howto.html
Source13:		tomcat-users.xml
Source20:		mod_jk.conf
Source21:		workers.properties
Patch0:			tomcat4-4.1.36-conf.patch
Patch1:			tomcat4-4.1.36-locale.patch
Patch2:			tomcat4-4.1.40-build.patch
BuildRoot: 		/var/tmp/%{name}-root

# Versions in some packages are from struts' higher version requirements
BuildPrereq: ant >= 1.6
BuildPrereq: jakarta-commons-beanutils >= 1.7.0
BuildPrereq: jakarta-commons-collections >= 3.1
BuildPrereq: jakarta-commons-digester >= 1.7
BuildPrereq: jakarta-commons-fileupload >= 1.1
BuildPrereq: jakarta-commons-io >= 1.1
BuildPrereq: jakarta-commons-logging >= 1.1
BuildPrereq: jakarta-commons-modeler >= 1.1
BuildPrereq: jdbc-stdext >= 2.0
BuildPrereq: mx4j >= 1.0
BuildPrereq: regexp = 1.2
BuildPrereq: xalan-j2
BuildPrereq: xerces-j2
BuildPrereq: jsse >= 1.0.2
BuildPrereq: jaf >= 1.0.1
BuildPrereq: jta >= 1.0.1
BuildPrereq: junit >= 3.7
BuildPrereq: javamail-monolithic >= 1.2
##BuildPrereq: puretls
BuildPrereq: struts >= 1.2.4
##BuildPrereq: tyrex >= 1.0

%description
Server that conforms to the Servlet 2.3 and JSP 1.2 
specifications from Java Software.
Develop Web applications in Java.

%package webapps
Group:      System Environment/Applications
Requires:   %{name}
Summary:    Web Applications for tomcat

%description webapps
Web Applications for tomcat

%package -n mod_jk
Group:      System Environment/Daemons
Requires:   %{name}
Summary:    mod_jk connector to Tomcat 4.x for Apache 1.3

%description -n mod_jk
mod_jk is the original connector to link Apache 1.3 to Tomcat 3.x & 4.x using ajp protocols

%prep
%setup -q -n %{packdname}
%patch0 -p0
%patch1 -p1
%patch2 -p0
perl -p -e "s|_BUILDROOT_|%{_builddir}/%{packdname}|;g" %{SOURCE10} > container/build.properties

%build
if [ -z $JAVA_HOME ]; then
	export JAVA_HOME=/usr/lib/jdk
fi
# JDK1.3+ needs jaas.jar for build
export CLASSPATH=$CLASSPATH:/usr/share/java/xalan-j2-serializer.jar:/usr/share/java/jaas.jar

# servletapi
cd servletapi
ant dist
cd -

# container
cd container
ant detect
ant dist
cd -

# tomcat-docs
cd container/webapps/tomcat-docs
ant dist
cd -

# mod_jk
cd connectors/jk/native
./buildconf.sh
%configure --with-apxs=/usr/sbin/apxs --enable-EAPI
chmod a+x scripts/build/instdso.sh
cd common
make
cd -
cd apache-1.3
make
cd -
cd -

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# install RPM README
cp %{SOURCE3} .

mkdir -p $RPM_BUILD_ROOT%{homedir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{sconfdir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d

# sysv init and logging
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
install %{SOURCE5} $RPM_BUILD_ROOT/%{sconfdir}/%{name}.conf

cd container
mv dist/* $RPM_BUILD_ROOT%{homedir}

# webapps
rm -rf $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/*
unzip webapps/dist/tomcat-docs.war -d \
	$RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/
rm -rf $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/META-INF
cd -

# javadocs
cd jasper
mkdir -p $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/jasper/docs
rm -f build/javadoc/package-list
cp -a build/javadoc $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/jasper/docs/api
cd -
cd servletapi
rm -f build/docs/api/package-list
cp -a build/docs/api $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/servletapi
cd -
cd container/catalina
mkdir -p $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/catalina/docs
rm -f build/javadoc/package-list
cp -a build/javadoc $RPM_BUILD_ROOT%{homedir}/webapps/tomcat-docs/catalina/docs/api
cd -

# trick for link error
cp -af %{SOURCE11} %{SOURCE12} $RPM_BUILD_ROOT%{homedir}/server/webapps/manager/

# user configuration
cp -af %{SOURCE13} $RPM_BUILD_ROOT/etc/tomcat4/tomcat-users.xml


# create reloctomcat4
cat >> $RPM_BUILD_ROOT%{_bindir}/reloctomcat4<<EORLTC
#!/bin/sh
#

echo "relocating http & ajp ports to 81xx"

sed -e 's;8080;8180;' \
    -e 's;8081;8181;' \
    -e 's;8082;8182;' \
    -e 's;8443;8543;' \
    -e 's;8009;8109;' \
    %{confdir}/server.xml > %{confdir}/server.xml.reloc

mv %{confdir}/server.xml %{confdir}/server.xml.bak
cp %{confdir}/server.xml.reloc %{confdir}/server.xml

EORLTC


install $RPM_BUILD_ROOT%{homedir}/bin/jspc.sh     $RPM_BUILD_ROOT%{_bindir}/jspc4

# rename catalina/jasper into dtomcat4/djasper4 to let wrapper take precedence
install $RPM_BUILD_ROOT%{homedir}/bin/jasper.sh   $RPM_BUILD_ROOT%{_bindir}/d%{jname}
install $RPM_BUILD_ROOT%{homedir}/bin/catalina.sh $RPM_BUILD_ROOT%{_bindir}/d%{name}
rm -f $RPM_BUILD_ROOT%{homedir}/bin/catalina.sh.*

# install wrapper as tomcat4/jasper4
install %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}/%{name}
install %{SOURCE7} $RPM_BUILD_ROOT%{_bindir}/%{jname}

# install logrotate support
install %{SOURCE8} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}

# remove / reorder non-usefull stuff
rm -rf $RPM_BUILD_ROOT%{homedir}/src/
rm -f  $RPM_BUILD_ROOT%{bindir}/*.sh $RPM_BUILD_ROOT%{bindir}/*.bat
 
# FHS compliance patches, not easy to track them all boys :)

for i in $RPM_BUILD_ROOT%{sconfdir}/%{name}.conf $RPM_BUILD_ROOT%{_bindir}/d%{name} \
         $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name} \
         $RPM_BUILD_ROOT%{_bindir}/d%{jname} $RPM_BUILD_ROOT%{_bindir}/%{jname} ; do

    perl -pi -e "s|\@\@\@TCCONF\@\@\@|%{sconfdir}|g;" $i
    perl -pi -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g;" $i

done

# mod_jk
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/apache
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf
install connectors/jk/native/apache-1.3/mod_jk.so* $RPM_BUILD_ROOT/%{_libdir}/apache
cp %{SOURCE20} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/
cp %{SOURCE21} $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf/

mkdir -p ${RPM_BUILD_ROOT}%{confdir}
mkdir -p ${RPM_BUILD_ROOT}%{logdir}
mkdir -p ${RPM_BUILD_ROOT}%{workdir}
mkdir -p ${RPM_BUILD_ROOT}%{tempdir}
chown -R tomcat4:tomcat4 ${RPM_BUILD_ROOT}%{_var}/cache/%{name}

cd  ${RPM_BUILD_ROOT}%{homedir}
mv conf/* ${RPM_BUILD_ROOT}%{confdir}
rmdir conf
ln -s %{confdir} conf
rmdir logs
ln -s %{logdir} logs
rmdir work
ln -s %{workdir} work
rm temp/README.txt
rmdir temp
ln -s %{tempdir} temp
cd -

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
# install tomcat4 (but don't activate)
/sbin/chkconfig --add %{name}

echo ""
echo "Don't forget to setup vars in %{sconfdir}/%{name}.conf to"
echo "adapt the RPM to your configuration."
echo "Also edit/create /etc/java/java.conf to define your default JDK"
echo ""
echo "For security purposes, %{name} service is installed" 
echo "but not activated by default."
echo "use your service installer for such purposes"
echo "ie: ntsysv "
echo ""

%preun

if [ $1 = 0 ]; then

    if [ -f /var/lock/subsys/%{name} ]; then
        %{_sysconfdir}/rc.d/init.d/%{name} stop
    fi
    if [ -f %{_sysconfdir}/rc.d/init.d/%{name} ]; then
        /sbin/chkconfig --del %{name}
    fi

    %{_sbindir}/userdel %{name}
fi

%pre
# Add the "tomcat" user
# we need a shell to be able to use su - later
%{_sbindir}/useradd -c "Tomcat4" -u %{tcuid} \
    -s /bin/bash -r -d %{homedir} %{name} 2> /dev/null || :

# Work around old tomcat conf/log/temp/work files locations
if [ -d /var/tomcat4/conf ]; then
    /bin/cp -a /var/tomcat4/conf/* /etc/tomcat4/conf/ 2>/dev/null
    rm -rf /var/tomcat4/conf
    ln -sf /etc/tomcat4/conf /var/tomcat4/conf
fi
if [ -d /var/tomcat4/logs ]; then
    mkdir /var/log/tomcat4
    /bin/cp -a /var/tomcat4/logs/* /var/log/tomcat4/ 2>/dev/null
    rm -rf /var/tomcat4/logs
    ln -sf /var/log/tomcat4 /var/tomcat4/logs
fi
if [ -d /var/tomcat4/temp ]; then
    mkdir -p /var/cache/tomcat4/temp
    /bin/cp -a /var/tomcat4/temp/* /var/cache/tomcat4/temp/ 2>/dev/null
    rm -rf /var/tomcat4/temp
    ln -sf /var/cache/tomcat4/temp /var/tomcat4/temp
fi
if [ -d /var/tomcat4/work ]; then
    mkdir -p /var/cache/tomcat4/work
    /bin/cp -a /var/tomcat4/work/* /var/cache/tomcat4/work/ 2>/dev/null
    rm -rf /var/tomcat4/work
    ln -sf /var/cache/tomat4/work /var/tomcat4/work
fi
exit 0

%files
%defattr(644 root root 755)
%attr(755,tomcat4,tomcat4)     	%dir                  %{appdir}
%attr(755,tomcat4,tomcat4)     	%dir                  %{sappdir}
%attr(755,root,root)      	%dir                  %{bindir}
%attr(755,root,root)      	%dir                  %{commondir}
%attr(755,tomcat4,tomcat4)      %dir                  %{sconfdir}
%attr(755,root,root)      	%dir                  %{libdir}
%attr(755,tomcat4,tomcat4)      %dir                  %{logdir}
%attr(755,root,root)      	%dir                  %{servdir}
##%attr( - ,root,root)                            	%{servdir}/*
%attr(755,root,root)		%dir                  %{servdir}/classes
%attr(755,root,root)		%dir			%{sharedir}
%attr(755,root,root)					%{sharedir}/*
%attr(755,tomcat4,tomcat4)      %dir                  %{tempdir}
%attr(755,tomcat4,tomcat4)      %dir                  %{workdir}
%attr(755,root,root) 	 		       	 	%{_bindir}/*
%attr(644,root,root)                            	%{bindir}/*
%attr( - ,root,root)                            	%{commondir}/*
%attr(644,tomcat4,tomcat4)     	%config(noreplace)      %{confdir}/*
%attr( - ,root,root)                            	%{libdir}/*
%attr(755,root,root)                                    %{homedir}/conf
%attr(755,tomcat4,tomcat4)                              %{homedir}/logs
%attr(755,tomcat4,tomcat4)                              %{homedir}/temp
%attr(755,tomcat4,tomcat4)                              %{homedir}/work
%attr( -, root,root)                         %{_sysconfdir}/logrotate.d/%{name}
%attr(755,root,root)                 %config %{_sysconfdir}/rc.d/init.d/%{name}
%attr( - ,root,root)  %doc TOMCAT4.README.RPM container/{LICENSE,README*,RELE*}

%files webapps
%defattr(644 root root 755)
%attr( - ,tomcat4,tomcat4)				%{sappdir}/*
%attr( - ,tomcat4,tomcat4)				%{appdir}/*

%files -n mod_jk
%attr( - ,root,root)                        %{_libdir}/apache/mod_jk.so
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/mod_jk.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/workers.properties


%changelog
* Fri Oct  2 2009 Ryoji Kamei <kamei@miraclelinux.com>
- rebase 4.1.40 for security updates
- add fixes for CVE-2008-5515, CVE-2009-0033, CVE-2009-0580,
  CVE-2009-0781, CVE-2009-0783

* Thu Jan  8 2009 Ryoji Kamei <kamei@miraclelinux.com>
- rebase 4.1.39 for security updates
- add fixes for CVE-2008-0128, CVE-2008-1232, CVE-2008-2370

* Fri Mar 14 2008 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- rebase 4.1.37 for security updates
- add the fixes which are CVE-2005-3164, CVE-2007-1355, 
  CVE-2007-2449, CVE-2007-2450, CVE-2007-3382, CVE-2007-3383, 
  CVE-2007-3385, CVE-2007-5333, CVE-2007-5461

* Thu Nov  8 2007 Ryoji Kamei <kamei@miraclelinux.com>
- rebase 4.1.36 for security updates
- own sconfdir by tomcat4:tomcat4
- remove outstandard build types
- integrate mod_jk and change from noarch to arch
- add some hints to user.xml (Source13)
- fix broken links on manager pages (Source11/12)
- fix generating tomcat docs
- work around conf/log/temp/work files location of old tomcat4 package

* Thu Oct 24 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- fix /var/tomcat4/webapps ownner tomcat4:tomcat4.
- change manager default charset to EUC-JP by patch1.
- inclease stop sleep 2 to 10.

* Thu Oct 10 2002 Daisuke Tonoki <tonoki@miraclelinux.com>
- update 4.0.4 spec file to 4.0.6.

* Wed Jun 26 2002 Henri Gomez <hgomez@slib.fr> 4.0.4-2jpp
- rpm release 2
- change build order : jtc/util, tc4, jtc/coyote, jtc/jk
- the rpm requires that you define your system Java SDK in /etc/java.conf
  or %{sconfdir}/%{name}.conf (at least define JAVA_HOME)
  Take a look at TOMCAT4.README.RPM for more explanations
- layout changes to meet FHS recommandations :
- use /var/cache/tomcat4 instead of /var/run/tomcat4/{work,temp}
- moved conf from /etc/tomcat4/conf to /etc/tomcat4
- logs/work/temp and webapps now owned by tomcat4 user
- fix regexp name and location

* Mon Jun 24 2002 Henri Gomez <hgomez@slib.fr> 4.0.4-1jpp
- tomcat-v4.0.4
- this rpm is equivalent to jakarta-tomcat-4.0.4 full.
- tomcat4 is more FHS compliant, using symlinks to homedir
- tomcat4 use standard port, relocation command reloctomcat4 is 
  provided to make it listen to alternate ports to make it 
  compatible with a present tomcat 3.3
- unique rpm for both jpackage.org and jakarta.org
- commons-logging is the one from packager site until an official 1.0.1
  release will be out
- Take a look at TOMCAT4.README.RPM for more informations about RPM

* Tue Apr 30 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.4-b2
- correct postun script, remove linked jars after service stop

* Fri Apr 26 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.3 rpm release 2
- misc spec/rpm fixes.

* Mon Mar 04 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.3
- security fix
- add symlinking info at post time

* Tue Feb 19 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.2 RPM release 3
- correct missing tools.jar in CLASSPATH in both tomcat4 and jasper4

* Fri Feb 15 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.2 RPM release 2
- correct bad perms for webapps dir
- warn user at install time if ext jars are not found
- use new tarball for JTC (jakarta-tomcat-connectors-4.0.2-01-src)

* Mon Feb 11 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.2
- rpm use the light distribution mode whereas jndi, javamail, jta and jdbc-ext
  are not required.
- rpm now is fully rpm compliant, jakarta-regexp, servletapi4, xerces rpm are 
  required for build and should be present, they will be linked at install time.

* Wed Jan 23 2002 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.2-b2
- removed tomcat 4.0.2-b2 binary tarball to save place in srpm
- removed manual package, stuff will be only in webapps
- due to Sun Licence we couldn't provide jaf, javamail, jdbc-ext, jmxri, jndi, jta 
  jars in source package, so the build dependencies will require to have them 
  ALLREADY present in %{javadir}.
- rpm 4.0.3 have problem with _ in dependencies, jdbcext/jta buildrequire has
  been commented BUT are needed 

* Fri Oct 24 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0.1
- ajp13 support is now included by default in Tomcat 4.0, so I've included
  stuff from jakarta-tomcat-connectors CVS (20011023) to rebuild ajp connector
  from source
- since you could have also a tomcat 3.x running, listen port in Tomcat 4.0
  rpm have been translated :
  HTTP 1.1 from 8080 to 8180, Proxied HTTP 1.1 from 8081 to 8181,
  HTTP 1.1/SSL from 8443 to 8543 and AJP13 from 8009 to 8109
  HTTP 1.0 from port 8082 to 8182
  if you want to use original values, edit file %{homedir}/conf/server.xml
- connectors activated by default are HTTP 1.1, WARP and AJP13
- rework RPM to have tomcat4 works under user tomcat4 (like tomcat 3.3 RPM)
- fix images corruptions

* Mon Oct 08 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0
- to avoid license problem both source and binary are included in the source rpm
  we use binary tarball to get required jar, jndi, mail, jta...
- Java Managment Extension, jmx is included in source rpm for build purpose but
  won't be installed in binary rpm again for license problem.
- many RPM enhancements from suggestion from Keith Irwin <keith_irwin@non.hp.com>,
  Nicolas Mailhot <nicolas.mailhot@one2team.com> and Jun Inamori. A big thanks
  to all of them
- tomcat run as nobody (finally) in init.d.
  BE CAREFULL NOW WHEN running tomcat as root (in interactive mode for example)
  since you could then make some files unreadable
- a config file is available for init.d script tuning, tomcat.conf, in %{confdir}
- no external parser is required since crimson (jaxp 1.1) is now included
- this RPM is still not FHS, need some reworks...
- no external parser is required since crimson (jaxp 1.1) is now included
- built under Redhat 6.2 with updates, jikes 1.15, ant 1.4, IBM JDK 1.3 (cx130-20010626), jsse 1.0.2

* Thu Sep 13 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0-rc1
- built under Redhat 6.2 with updates, jikes 1.14, IBM JDK 1.3 (cx130-20010626), jsse 1.0.2

* Tue Jun 05 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0b5
- built under Redhat 6.2 with updates, jikes 1.14, IBM JDK 1.3 (cx130-20010502), jsse 1.0.2
- included xerces 1.4.0 

* Fri May 11 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0b4

* Wed Apr 18 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0b3

* Mon Apr 02 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0b2
- second beta release of tomcat 4
- big cleanup of the SPEC which was just to complex.
- Need now a jaxp 1.1 conforming parser, => require xerces-j 1.3.1
- removed jaxp 1.0 / 1.1 from SPEC since we're using xerces-j 1.3.1
  (jaxp 1.1 / crimson is include in tomcat sources)
- YOU MUST HAVE the JSSE 1.0.2 jars in /usr/share/java (I've built a
  jsse RPM from Sun Jars but I COULD'T MAKE IT AVAILABLE...)

* Mon Jan 08 2001 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0b1
- first beta release of tomcat 4

* Thu Dec 14 2000 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0m5

* Thu Nov 02 2000 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0m4

* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0m3 RPM Release 2
- corrected jars included 
- we assume you've installed jsse jars in /usr/share/java
- renamed tomcat4-doc to tomcat4-manual (follow apache RPM naming)
- RH 7.0 changes location of docdir and DocumentRoot. The spec file is modified
  to place manual in right place when rebuilded under RH 6.x or RH 7.0
- compiled on Redhat 6.1 box plus updates with rpm-3.0.5
- build CLASSPATH=

* Thu Oct 19 2000 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0m3

* Tue Oct 17 2000 Henri Gomez <hgomez@slib.fr>
- tomcat-v4.0m2 RPM Release 2
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin, apps datas in %{homedir}
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/jsse.jar:/usr/share/java/jcert.jar:/usr/share/java/jnet.jar

* Thu Oct 12 2000 Henri Gomez <hgomez@slib.fr>
- v4.0-m2 
- to allow tomcat 3.x and tomcat 4.x coexistence, the RPM is named tomcat4.
  It start at version 4.0 and all datas will goes in /home/tomcat4.
- tomcat 4.0 need ant post 1.1, xerces 1.2.0, jsse 1.0.1 (min) and jmx.
  The RPM include ant post 1.1 (for build) and jmx (jmxri.jar for build/run) .
  I couldn't include JSSE stuff so you must download JSSE from java.sun.com.
  Next install jcert.jar, jnet.jar and jsse.jar in BOTH
  /usr/lib/java AND JAVA_HOME/jre/lib/ext
- TC 4.0 HTTP 1.1 connector moved from port 8080 to 8180 and
  from port 8081 to 8181 for HTTP 1.0 connector 
  (TC 3.x allready listen on 8080/8081)
 
* Sat Oct 07 2000 Henri Gomez <hgomez@slib.fr>
- v4.0-m1
- RPM never released

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- RPM release 2
- tomcat is now installed on /home/tomcat instead of
  /opt/tomcat since /opt is mounted read-only on
  many systems <summer@os2.ami.com.au>
- build CLASSPATH=/usr/lib/java/jsse.jar:/usr/lib/java/jcert.jar:/usr/lib/java/jnet.jar
- correct stuff in spec file (copyright, group...)

* Mon Sep 25 2000 Henri Gomez <hgomez@slib.fr>
- v3.2-beta-5 RPM
- detect jikes and use it to rebuild (yep 10 times faster).
- patched incorrect version number
- rebuilded with jikes 1.12 (and jsse 1.0.2).
